## mmake 1.32

=== tildeslash/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Makefile created at Sun Oct 18 11:57:57 1998, by mmake
+# Makefile created at Fri Oct 16 13:31:34 1998, by mmake
 #
 
 # Programs (with common options):
@@ -57,41 +57,43 @@
 VERSION		= JAVA1_0
 
 
+# ------------------------------------------------------------------- #
+
+
 # Packages we should compile
 PACKAGES = \
 	tildeslash
 
 
 
-# ------------------------------------------------------------------- #
 
 # A marker variable for the top level directory
-TOPLEVEL	:= .
+TOPLEVEL        = .
 
 # Subdirectories with java files:
-JAVA_DIRS	:= $(subst .,/,$(PACKAGES)) $(TOPLEVEL)
+JAVA_DIRS	= $(subst .,/,$(PACKAGES)) $(TOPLEVEL)
 
 # All the .xjava source files:
-XJAVA_SRC	:= $(foreach dir, $(JAVA_DIRS), $(wildcard $(dir)/*.xjava))
+XJAVA_SRC	= $(foreach dir, $(JAVA_DIRS), $(wildcard $(dir)/*.xjava))
 
 # All the xjava files to build
-XJAVA_OBJS	:= $(XJAVA_SRC:.xjava=.java)
+XJAVA_OBJS	= $(XJAVA_SRC:.xjava=.java)
 
 # All the .java source files:
-JAVA_SRC	:= $(foreach dir, $(JAVA_DIRS), $(wildcard $(dir)/*.java))
+JAVA_SRC	= $(foreach dir, $(JAVA_DIRS), $(wildcard $(dir)/*.java))
 JAVA_SRC	:= $(JAVA_SRC) $(XJAVA_OBJS)
 
 # Dependency files:
-DEPEND_OBJS	:= $(JAVA_SRC:.java=.u)
+DEPEND_OBJS      = $(JAVA_SRC:.java=.u)
 
 # Objects that should go into the jar file. (find syntax)
-JAR_OBJS	:= \( -name '*.class' -o -name '*.gif' -o -name "*.au" \)
+JAR_OBJS         = \( -name '*.class' -o -name '*.gif' -o -name "*.au" \)
 
 # All the .java source files we should build:
-JAVA_OBJS	:= $(XJAVA_OBJS:.java=.class) $(JAVA_SRC:.java=.class)
+JAVA_OBJS	= $(XJAVA_OBJS:.java=.class) $(JAVA_SRC:.java=.class)
 
 # All the java .class files we should install (including inner classes):
-JAVA_INSTALL_OBJS:= $(foreach dir, $(JAVA_DIRS), $(wildcard $(dir)/*.class))
+JAVA_INSTALL_OBJS= $(foreach dir, $(JAVA_DIRS), $(wildcard $(dir)/*.class))
 
 # ------------------------------------------------------------------- #
 
@@ -160,7 +162,7 @@
 
 
 ifneq ($(strip $(CLASS_LIBDIR)),)
-install-classes: $(JAVA_OBJS)
+install-classes:: $(JAVA_OBJS)
 	$(INSTALL_DIR) $(CLASS_LIBDIR)
 	$(foreach dir, $(JAVA_DIRS), \
 		$(INSTALL_DIR) $(CLASS_LIBDIR)/$(dir) $(check-exit))
@@ -169,7 +171,7 @@
 	$(check-exit))
 else
 install-classes: 
-	@echo "Undefined install dir. for class files. See CLASS_LIBDIR"
+	@echo "Install dir for classes is not defined. See CLASS_LIBDIR"
 endif
