## mmake 2.3

=== tildeslash/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #
-# Makefile created at Mon Jul  2 01:58:15 2001, by mmake
+# Makefile created at Fri Apr  2 04:05:33 2004, by mmake
 #
 
 # Programs (with common options):
 SHELL		= /bin/sh
+CP		= cp
 RM              = rm -f
 MV              = mv -f
 SED		= sed
@@ -47,6 +48,11 @@
 #  if you dont want to install a jar file
 JAR_DIR	        = $(PREFIX)lib
 
+# The directory to install the app bundle in. Set this to an empty value
+#  if you dont want to install an app bundle
+BUNDLE_DIR      = $(PREFIX)lib
+
+
 # The directory to install html files generated by javadoc
 DOC_DIR         = $(PREFIX)doc/api-docs
 
@@ -60,11 +66,40 @@
 
 # 
 # The VERSION variable below should be set to a value 
-# that will be tested in the .xjava code. 
+# that will be tested in the .xjava code and Info.plist. 
 # 
-VERSION		= JAVA1_0
-
-# ------------------------------------------------------------------- #
+VERSION		= JAVA1_1
+
+# ------------------------------------------------------------------- #
+
+# The name of the OS X Application Bundle to install
+BUNDLE_FILE	= 
+
+# Folder containing App Bundle resources (Info.plist, *.icns, etc.)
+BUNDLE_RESOURCE_DIR = misc/macosx
+
+# Items to copy to the Resources folder of the bundle
+BUNDLE_RESOURCES = $(addsuffix .icns, $(basename $(APP_FILE)) Document)
+
+# Location of JavaApplicatonStub
+JAVA_STUB	= /System/Library/Frameworks/JavaVM.framework/Resources/MacOS/JavaApplicationStub
+
+# ------------------------------------------------------------------- #
+
+# Resource files:
+#  Extend the list to install other files of your choice
+RESOURCE_SRC	:= *.properties *.gif *.au
+
+# Objects that should go into the jar file. (find syntax)
+JAR_OBJS	:= \( -name '*.class' -o -name '*.gif' -o -name "*.au" \
+		       -o -name '*.properties' \)
+
+# Include the separate variables file if it exists
+MAKEFILE_VARS	= makefile.vars
+VARS	= $(wildcard $(MAKEFILE_VARS))
+ifneq ($(VARS),)
+	include $(MAKEFILE_VARS)
+endif
 
 
 # Packages we should compile
@@ -72,6 +107,15 @@
 	tildeslash
 
 
+# All packages that can be recursively compiled.
+ALL_PACKAGES = \
+	$(PACKAGES)
+
+
+# Packages to generate docs for.
+JAVADOC_PACKAGES = $(PACKAGES)
+
+
 # Resource packages
 RESOURCES = 
 
@@ -95,6 +139,15 @@
 
 # All the xjava files to build
 XJAVA_OBJS	:= $(XJAVA_SRC:.xjava=.java)
+
+# Directory coresponding to a package
+PACKAGE_DIR	= $(subst .,/,$(1))
+
+# All the (x)java files in a package
+PACKAGE_SRC	=  $(shell $(FIND) $(PACKAGE_DIR) \( -name '*.java' -or -name '*.xjava' \) )
+
+# All the classes to build in a package
+PACKAGE_OBJS	= $(patsubst %.java,%.class,$(PACKAGE_SRC: %.xjava=%.java))
 
 # All the .java source files:
 JAVA_SRC	:= $(foreach dir, $(JAVA_DIRS), $(wildcard $(dir)/*.java))
@@ -103,16 +156,9 @@
 # Dependency files:
 DEPEND_OBJS	:= $(JAVA_SRC:.java=.u)
 
-# Objects that should go into the jar file. (find syntax)
-JAR_OBJS	:= \( -name '*.class' -o -name '*.gif' -o -name "*.au" \
-		       -o -name '*.properties' \)
-
 # The intermediate java files and main classes we should build:
 JAVA_OBJS	:= $(XJAVA_OBJS) $(JAVA_SRC:.java=.class)
 
-# Resource files:
-#  Extend the list to install other files of your choice
-RESOURCE_SRC	:= *.properties *.gif *.au
 #  Search for resource files in both JAVA_DIRS and RESOURCE_DIRS
 RESOURCE_OBJS	:= $(foreach dir, $(JAVA_DIRS) $(RESOURCE_DIRS), \
 		     $(wildcard $(foreach file, $(RESOURCE_SRC), \
@@ -162,13 +208,28 @@
 # Targets
 # -------
 
-.PHONY: all jar install uninstall doc clean depend tags
+.PHONY: all jar install uninstall doc clean depend tags bundle \
+	help $(ALL_PACKAGES)
 
 all::	$(JAVA_OBJS)
 
-
 help:
-	@echo "Usage: make {all|jar|install|uninstall|doc|clean|depend|tags}"
+	@echo "Usage: make {all|jar|srcjar|bundle|install|uninstall|doc|clean|depend|tags|PACKAGE_NAME}"
+	@echo "	all: build all classes"
+	@echo "	jar: build jar file"
+	@echo "	srcjar: build source jar file"
+	@echo "	bundle: build OS X app bundle"
+	@echo "	install: install classes into $(CLASS_DIR)"
+	@echo "		jar into $(JAR_DIR)"
+	@echo "		bundle into $(BUNDLE_DIR)"
+	@echo "		javadocs into $(DOC_DIR)"
+	@echo "		scripts into $(SCRIPT_DIR)"
+	@echo "	uninstall: remove installed files"
+	@echo "	doc: generate api docs from javadoc comments"
+	@echo "	clean: remove classes and temporary files"
+	@echo "	depend: build class dependency info using jikes"
+	@echo "	tags: build emacs tags file"
+	@echo "	PACKAGE_NAME: builds all classes in this package and any subpackages."
 
 
 # Jar target
@@ -193,6 +254,53 @@
 	@echo "No jar file defined"
 endif
 
+SRC_JAR_FILE := $(basename $(JAR_FILE))-src$(suffix $JAR_FILE)
+
+# Source jar target
+srcjar : $(SRC_JAR_FILE)
+$(SRC_JAR_FILE): $(JAVA_SRC) $(RESOURCE_OBJS)
+	$(FIND) $(TOPLEVEL) $(JAR_OBJS: .class=.java) -print | $(XARGS) \
+	$(JAR) $(JAR_FLAGS) $@
+
+# Bundle target
+ifneq ($(strip $(BUNDLE_FILE)),)
+bundle:  $(BUNDLE_FILE)
+$(BUNDLE_FILE) : $(JAR_FILE)
+	$(INSTALL_DIR) $(BUNDLE_FILE)/Contents/Resources/Java $(check-exit)
+	$(INSTALL_DIR) $(BUNDLE_FILE)/Contents/MacOS $(check-exit)
+	$(INSTALL_PROG) $(JAVA_STUB) $(BUNDLE_FILE)/Contents/MacOS/ \
+		$(check-exit)
+	( $(CAT) $(BUNDLE_RESOURCE_DIR)/Info.plist | $(SED) -e \
+		s/VERSION/$(VERSION)/ >98762infoplist876 ) $(check-exit)
+	$(INSTALL_FILE) 98762infoplist876 \
+		$(BUNDLE_FILE)/Contents/Info.plist $(check-exit)
+	$(RM) 98762infoplist876 $(check-exit)
+	$(INSTALL_FILE) $(JAR_FILE) $(BUNDLE_FILE)/Contents/Resources/Java
+	checkexit="";for f in $(BUNDLE_RESOURCES); do \
+		$(INSTALL_FILE) $(BUNDLE_RESOURCE_DIR)$$f $(BUNDLE_FILE)/Contents/Resources/ \
+		|| checkexit=$?; \
+		done; test -z $$checkexit
+
+ifneq ($(strip $(BUNDLE_DIR)),)
+# This is probably bad, but I don't know how else to do it
+install:: $(BUNDLE_FILE)
+	@echo "===> [Installing app bundle, $(BUNDLE_FILE) in $(BUNDLE_DIR)] "
+	$(INSTALL_DIR) $(BUNDLE_DIR) $(check-exit)
+	$(CP) -R $(BUNDLE_FILE) $(BUNDLE_DIR) $(check-exit)
+	$(INSTALL_FILE) $(BUNDLE_FILE) $(BUNDLE_DIR) $(check-exit)
+uninstall::
+	@echo "===> [Removing bundle file, $(BUNDLE_FILE) from $(BUNDLE_DIR)] "
+	$(RM) -r $(BUNDLE_DIR)/$(BUNDLE_FILE)  $(check-exit)
+else
+install::
+	@echo "No bundle install dir defined"
+endif
+clean::
+	$(RM) -r $(BUNDLE_FILE)
+else
+bundle:
+	@echo "No bundle file defined"
+endif
 
 
 # Install target for Classes and Resources 
@@ -229,11 +337,11 @@
 
 
 # Doc target
-ifneq ($(strip $(PACKAGES)),)
+ifneq ($(strip $(JAVADOC_PACKAGES)),)
 doc:	$(JAVA_SRC)
 	@echo "===> [Installing java documentation in $(DOC_DIR)] "
 	$(INSTALL_DIR) $(DOC_DIR) $(check-exit)
-	$(JAVADOC) -d $(DOC_DIR) $(JAVADOC_FLAGS) $(PACKAGES)
+	$(JAVADOC) $(JAVADOC_FLAGS) -d $(DOC_DIR) $(JAVADOC_PACKAGES)
 else
 doc:
 	@echo "You must put your source files in a package to run make doc"
@@ -290,3 +398,6 @@
 	include $(MAKEFILE_DEPEND)
 endif
 
+#package targets
+tildeslash : $(call PACKAGE_OBJS,tildeslash)
+
