=== debian/control ===
Source: mmake
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.1
Homepage: http://www.tildeslash.com/mmake/
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: default-jdk

Package: mmake
Architecture: all
Depends: findutils (>= 4.0), java-common, perl, ${misc:Depends}
Recommends: default-jdk | java-compiler
Description: Makefile generator for Java programs
 mmake will generate a master Makefile for your Java programs.
 This generated Makefile fully understands the subdirectories
 that are required if your program consists of multiple packages.
 mmake also automatically generates dependencies, and can use
 the C preprocessor for Java programs and generate javadoc documentation.
 mmake defaults to using Sun's javac from the jdk but can easily use
 guavac or a different GPL alternative as well.
