=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- BINDIR=debian/mmake/usr/bin \
			   MANDIR=debian/mmake/usr/share/man/man1
