=== debian/watch ===
version=4
http://www.tildeslash.com/mmake/dist/mmake-(.*).tar.gz
